SourceCopy Class Reference
Inheritance diagram for SourceCopy:
[legend]
Collaboration diagram for SourceCopy:
[legend]

## Protected Member Functions

bool | GetFile (std::string &Filename, unsigned long long &Size) override
bool | RewriteEntry (FileFd &Target, std::string const &File) override
const char * | GetFileName () override
const char * | Type () override
Protected Member Functions inherited from IndexCopy
std::string | ChopDirs (std::string Path, unsigned int Depth)
bool | ReconstructPrefix (std::string &Prefix, std::string OrigPath, std::string CD, std::string File)
bool | ReconstructChop (unsigned long &Chop, std::string Dir, std::string File)
void | ConvertToSourceList (std::string CD, std::string &Path)
bool | GrabFirst (std::string Path, std::string &To, unsigned int Depth)

## Additional Inherited Members

Public Member Functions inherited from IndexCopy
bool | CopyPackages (std::string CDROM, std::string Name, std::vector< std::string > &List, pkgCdromStatus *log)
Protected Attributes inherited from IndexCopy
pkgTagSection * | Section

## Member Function Documentation

## GetFile()

bool GetFile | ( | std::string & | Filename,
|  | unsigned long long & | Size )

override protected virtual

Implements IndexCopy.

## GetFileName()

const char * GetFileName | ( |  | ) |

inline override protected virtual

Implements IndexCopy.

## RewriteEntry()

bool RewriteEntry | ( | FileFd & | Target,
|  | std::string const & | File )

override protected virtual

Implements IndexCopy.

## Type()

const char * Type | ( |  | ) |

inline override protected virtual

Implements IndexCopy.

The documentation for this class was generated from the following files:

- apt-pkg/indexcopy.h
- apt-pkg/indexcopy.cc